Bug 23593 - Add a shortcut from suggestion details to the bibliographic record in the OPAC
Summary: Add a shortcut from suggestion details to the bibliographic record in the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-11 13:17 UTC by Séverine Queune
Modified: 2020-05-18 12:51 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23593: Link to the bibliographic record from the suggestion (OPAC) (2.59 KB, patch)
2019-11-12 20:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23593: Link to the bibliographic record from the suggestion (OPAC) (2.73 KB, patch)
2019-11-13 16:12 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23593: Link to the bibliographic record from the suggestion (OPAC) (3.01 KB, patch)
2020-02-17 16:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23593: Link to the bibliographic record from the suggestion (OPAC) (3.07 KB, patch)
2020-02-17 21:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2019-09-11 13:17:25 UTC
The BULAC (http://www.bulac.fr/) would like to sponsor 3 different enhancements to ease the links between suggestion and bibliographic record.

On this ticket : when suggestions’ status are ‘Ordered’ or ‘Available’ (=suggestions.biblionumber IS NOT NULL), add a link from the “Your purchase suggestions” tab to the bibliographic record on the OPAC.

See also Bz 23592 for same behaviour on staff client.

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 1 Jonathan Druart 2019-11-12 20:45:06 UTC
Created attachment 95351 [details] [review]
Bug 23593: Link to the bibliographic record from the suggestion (OPAC)

If there is a link between a suggestion and a bibliographic record (ie.
if suggestion.biblionumber is set), it makes sense to have an hyperlink
on the suggestion list at the OPAC.

Test plan:
- Create 2 suggestions
- Create an order from one of them
- Go to the suggestion list at the OPAC
=> The one with the order has a to the bibliographic record
=> The other one is not linked with a bibliographic record, and so the
title is displayed, without hyperlink
Comment 2 Séverine Queune 2019-11-13 16:12:12 UTC
Created attachment 95401 [details] [review]
Bug 23593: Link to the bibliographic record from the suggestion (OPAC)

If there is a link between a suggestion and a bibliographic record (ie.
if suggestion.biblionumber is set), it makes sense to have an hyperlink
on the suggestion list at the OPAC.

Test plan:
- Create 2 suggestions
- Create an order from one of them
- Go to the suggestion list at the OPAC
=> The one with the order has a to the bibliographic record
=> The other one is not linked with a bibliographic record, and so the
title is displayed, without hyperlink

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Katrin Fischer 2020-02-14 22:54:37 UTC
Please rebase!
Comment 4 Jonathan Druart 2020-02-17 16:05:16 UTC
Created attachment 99114 [details] [review]
Bug 23593: Link to the bibliographic record from the suggestion (OPAC)

If there is a link between a suggestion and a bibliographic record (ie.
if suggestion.biblionumber is set), it makes sense to have an hyperlink
on the suggestion list at the OPAC.

Test plan:
- Create 2 suggestions
- Create an order from one of them
- Go to the suggestion list at the OPAC
=> The one with the order has a to the bibliographic record
=> The other one is not linked with a bibliographic record, and so the
title is displayed, without hyperlink

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Katrin Fischer 2020-02-17 21:59:19 UTC
Created attachment 99136 [details] [review]
Bug 23593: Link to the bibliographic record from the suggestion (OPAC)

If there is a link between a suggestion and a bibliographic record (ie.
if suggestion.biblionumber is set), it makes sense to have an hyperlink
on the suggestion list at the OPAC.

Test plan:
- Create 2 suggestions
- Create an order from one of them
- Go to the suggestion list at the OPAC
=> The one with the order has a to the bibliographic record
=> The other one is not linked with a bibliographic record, and so the
title is displayed, without hyperlink

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-02-17 22:00:08 UTC
Lovely little addition!
Comment 7 Martin Renvoize 2020-02-19 16:13:02 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-03-13 00:41:15 UTC
enhancement not backported to 19.11.x